Show / Hide Table of Contents

# Struct ConfigModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ConfigModule

### Fields

| Improve this Doc View Source

#### ConfigOptionCount

##### Declaration

    public const int ConfigOptionCount = 685

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UIModule

##### Declaration

    public UIModule*UIModule

##### Field Value

Type | Description
--- | ---
UIModule* |

### Methods

| Improve this Doc View Source

#### GetIndex(ConfigOption)

##### Declaration

    public uint? GetIndex(ConfigOption option)

##### Parameters

Type | Name | Description
--- | --- | ---
ConfigOption | option |

##### Returns

Type | Description
--- | ---
System.Nullable<System.UInt32> |

| Improve this Doc View Source

#### GetIntValue(ConfigOption)

##### Declaration

    public int GetIntValue(ConfigOption option)

##### Parameters

Type | Name | Description
--- | --- | ---
ConfigOption | option |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetIntValue(Int16)

##### Declaration

    public int GetIntValue(short optionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | optionId |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetIntValue(UInt32, Int32)

##### Declaration

    public int GetIntValue(uint index, int a3 = 2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | index |
System.Int32 | a3 |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetOption(ConfigOption)

##### Declaration

    public ConfigModule.Option*GetOption(ConfigOption option)

##### Parameters

Type | Name | Description
--- | --- | ---
ConfigOption | option |

##### Returns

Type | Description
--- | ---
ConfigModule.Option* |

| Improve this Doc View Source

#### GetOption(String)

##### Declaration

    public ConfigModule.Option*GetOption(string name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |

##### Returns

Type | Description
--- | ---
ConfigModule.Option* |

| Improve this Doc View Source

#### GetOption(UInt32)

##### Declaration

    public ConfigModule.Option*GetOption(uint index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | index |

##### Returns

Type | Description
--- | ---
ConfigModule.Option* |

| Improve this Doc View Source

#### GetOptionById(Int16)

##### Declaration

    public ConfigModule.Option*GetOptionById(short optionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | optionId |

##### Returns

Type | Description
--- | ---
ConfigModule.Option* |

| Improve this Doc View Source

#### GetValue(ConfigOption)

##### Declaration

    public AtkValue*GetValue(ConfigOption option)

##### Parameters

Type | Name | Description
--- | --- | ---
ConfigOption | option |

##### Returns

Type | Description
--- | ---
AtkValue* |

| Improve this Doc View Source

#### GetValue(UInt32)

##### Declaration

    public AtkValue*GetValue(uint index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | index |

##### Returns

Type | Description
--- | ---
AtkValue* |

| Improve this Doc View Source

#### GetValueById(Int16)

##### Declaration

    public AtkValue*GetValueById(short optionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | optionId |

##### Returns

Type | Description
--- | ---
AtkValue* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static ConfigModule*Instance()

##### Returns

Type | Description
--- | ---
ConfigModule* |

| Improve this Doc View Source

#### SetOption(ConfigOption, Int32)

##### Declaration

    public void SetOption(ConfigOption option, int value)

##### Parameters

Type | Name | Description
--- | --- | ---
ConfigOption | option |
System.Int32 | value |

| Improve this Doc View Source

#### SetOption(UInt32, Int32, Int32, Boolean, Boolean)

##### Declaration

    public bool SetOption(uint index, int value, int a4 = 2, bool a5 = true, bool a6 = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | index |
System.Int32 | value |
System.Int32 | a4 |
System.Boolean | a5 |
System.Boolean | a6 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetOptionById(Int16, Int32)

##### Declaration

    public void SetOptionById(short optionId, int value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | optionId |
System.Int32 | value |